package com.gic.haoban.manage.service.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.api.dto.MaterialCategoryDTO;
import com.gic.haoban.manage.service.entity.TabHaobanMaterialCategory;

public interface TabHaobanMaterialCategoryMapper {
    int deleteByPrimaryKey(String categoryId);

    int insert(TabHaobanMaterialCategory record);

    int insertSelective(TabHaobanMaterialCategory record);

    TabHaobanMaterialCategory selectByPrimaryKey(String categoryId);

    int updateByPrimaryKeySelective(TabHaobanMaterialCategory record);

    int updateByPrimaryKey(TabHaobanMaterialCategory record);

	TabHaobanMaterialCategory selectByCategoryNameAndParentId(@Param("categoryName")String categoryName,
                                                              @Param("categoryParentId")String categoryParentId,
                                                              @Param("wxEnterpriseId")String wxEnterpriseId);

	List<TabHaobanMaterialCategory> listCategory(@Param("wxEnterpriseId")String wxEnterpriseId);

	List<TabHaobanMaterialCategory> listByParentCategory(@Param("categoryId")String categoryId);
}